#!/bin/csh
# filename: Light-03.csh

# This script is the viewset for the Lightscape application
#
# There are 4 independent runs of viewperf
# The weights for each test are given
# October 10, 1995      - Initial version
# April 9, 1996         - Reorder tests, swap #2 & 3.
# April 30, 1996        - Change xws to 1248 and yws to 960 for tests 2 & 4.
# October 21, 1998      - Changed to binary format, csh script, added grabs,
#                         renamed Light-02
#  February 26, 1999 -  Renamed to Light-03 and added new screen grabs
#                                   for the full picture and the small picture.

if (! $?viewperf) then
  setenv viewperf ../viewperf61
endif

echo ""
echo "Viewset: Light-03"
echo "Viewset version: 1.0"
echo "Test Number 1: Weight 25%"
echo ""
$viewperf -qd box -rm LINE -cp VERTEX -wt -grab grab1.scr

echo ""
echo "Viewset: Light-03"
echo "Viewset version: 1.0"
echo "Test Number 2: Weight 25%"
echo ""
$viewperf -qd box -rm QUAD -cp VERTEX -zb -bt 30 -xws 1248 -yws 960 -wt -grab grab2.scr

echo ""
echo "Viewset: Light-03"
echo "Viewset version: 1.0"
echo "Test Number 3: Weight 25%"
echo ""
$viewperf -qd parlment -rm LINE -cp VERTEX -wt -grab grab3.scr

echo ""
echo "Viewset: Light-03"
echo "Viewset version: 1.0"
echo "Test Number 4: Weight 25%"
echo ""
$viewperf -qd parlment -rm QUAD -cp VERTEX -zb -bt 30 -xws 1248 -yws 960 -wt -grab grab4.scr
